---
operationId: "getOrganizationVPCEndpointDetails"
method: "GET"
path: "/organizations/{org_id}/vpc/region/{region_id}/vpc_endpoints/{vpc_endpoint_id}"
tag: "organizations"
interfaces: ["api", "sdk", "cli", "console"]
---
> API Reference / Organizations / Retrieve VPC endpoint details

## GET /organizations/{org_id}/vpc/region/{region_id}/vpc_endpoints/{vpc_endpoint_id}

Retrieves the current state and configuration details of a specified VPC endpoint.


### Parameters

- `org_id` (string, path, required)
  The Neon organization ID
- `region_id` (string, path, required)
  The Neon region ID.
  Azure regions are currently not supported.
  
- `vpc_endpoint_id` (string, path, required)
  The VPC endpoint ID

### Response (200)

- `vpc_endpoint_id` (string, optional)
  The VPC endpoint ID
- `label` (string, optional)
  A descriptive label for the VPC endpoint
- `state` (string, optional)
  The current state of the VPC endpoint. Possible values are
  `new` (just configured, pending acceptance) or `accepted`
  (VPC connection was accepted by Neon).
  
- `num_restricted_projects` (integer, optional)
  The number of projects that are restricted to use this VPC endpoint.
  
- `example_restricted_projects` (array, optional)
  A list of example projects that are restricted to use this VPC endpoint.
  There are at most 3 projects in the list, even if more projects are restricted.
  

### Code examples

```bash
curl "https://console.neon.tech/api/v2/organizations/$ORG_ID/vpc/region/$REGION_ID/vpc_endpoints/$VPC_ENDPOINT_ID" \
  -H "Authorization: Bearer $NEON_API_KEY"
```

```typescript
import { createNeonClient, raw } from '@neon/sdk';

const neon = createNeonClient({ apiKey: process.env.NEON_API_KEY });
const { data } = await raw.getOrganizationVpcEndpointDetails({
  client: neon.client,
  path: {
    org_id: process.env.ORG_ID,
    region_id: process.env.REGION_ID,
    vpc_endpoint_id: process.env.VPC_ENDPOINT_ID
  }
});
```

```bash
# neonctl
neon vpc endpoint status <vpc_endpoint_id> --org-id <id> --region-id <region_id>
```

### Console

Console path: Organization → Settings → Private Networking

### Errors

**default**
General Error.

The request may or may not be safe to retry, depending on the HTTP method, response status code,
and whether a response was received.

- If no response is returned from the API, a network error or timeout likely occurred.
- In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results.

The following HTTP methods are considered non-idempotent: `POST`, `PATCH`, `DELETE`, and `PUT`. Retrying these methods is generally **not safe**.
The following methods are considered idempotent: `GET`, `HEAD`, and `OPTIONS`. Retrying these methods is **safe** in the event of a network error or timeout.

Any request that returns a `503 Service Unavailable` response is always safe to retry.

Any request that returns a `423 Locked` response is safe to retry. `423 Locked` indicates that the resource is temporarily locked, for example, due to another operation in progress.

- `request_id` (string, optional)
  Unique identifier for the request, useful for debugging.
  You can set this value manually by including an `X-Request-ID` header in the request. If not provided, the value will be generated automatically.
  
- `code` (string, required)
  Default: ``
- `message` (string, required)
  Error message
